@import "settings";

/*
* ScrollBar
*/

/* Color knob init state */
rab-fast-scroll::shadow .ring > #scrollKnob > #scrollKnobInner {
  background-color: $scroll-knob-init;
}

/* Color knob after click */
rab-fast-scroll::shadow .ring.expand > #scrollKnob > #scrollKnobInner {
  background-color: $scroll-knob-after-click;
}

/* Color balloon after click */
rab-fast-scroll::shadow .pin.ring > #scrollKnob > #scrollKnobInner::before {
  background-color: $scroll-balloon-after-click;
}

/* Color knob when balloon expanded */
rab-fast-scroll::shadow .pin.expand #scrollKnobInner {
  background-color: $scroll-balloon-expanded;
}

/* Dragging: Color knob */
rab-fast-scroll::shadow #scrollKnobInner {
  background-color: $scroll-knob-dragging;
}

/* Dragging: Color balloon */
rab-fast-scroll::shadow .pin > #scrollKnob > #scrollKnobInner::before {
  background-color: $scroll-balloon-dragging;
}

/* Color text */
rab-fast-scroll::shadow #scrollKnob > #scrollKnobInner::after {
  color: $scroll-text;
}

core-list {
  width: calc(100% + 32px); /* hide browser scrollbar */
  padding-bottom: 30px;
  background: white;
}